{
  pkgs,
  config,
  lib,
  inputs,
  ...
}: let
  program = "stylix";
  cfg = config.dots.${program};
  #sec = sops.secrets;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    imports = [inputs.stylix.homeManagerModules.default];
  };
}
